package com.sw.mes.yb.deviceCheck.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.utils.RequestPage;
import com.sw.mes.yb.deviceCheck.entity.SpotCheckItem;
import org.springframework.data.jpa.domain.Specification;

import java.util.List;

public interface SpotCheckItemService extends BaseService<SpotCheckItem> {

    List<SpotCheckItem> findByExample(Specification<SpotCheckItem> specification, RequestPage page);

    void saveInBatch(List<SpotCheckItem> itemList);

    List<SpotCheckItem> findByParentId(Integer id);

    List<SpotCheckItem> findAll();

    List<SpotCheckItem> findAllOrderByPriority();

    void deleteByParentId(Integer parentId);
}
